GRUB-MKSTANDALONE(1)

NAVN
grub-mkstandalone - make a memdisk-based GRUB image

OVERSIKT
grub-mkstandalone [VALG...] [VALG] KILDE...

BESKRIVELSE
Lag et

--compress=no|xz|gz|lzo
    komprimer GRUB-filer (valgfritt)

--disable-shim-lock
    disable shim_lock verifier

--dtb=FIL
    bygg inn spesifikk DTB

-d, --directory=MAPPE
    use images and modules under DIR [default=/usr/lib/grub/<platform>]

--fonts=SKRIFTTYPER
    installer SKRIFTTYPER (standard=unicode)

--install-modules=MODULER
    bare installer valgte MODULER og ting de er avhengige av (standard=alle)

-k, --pubkey=FIL
    bruk valgt FIL som offentlig nøkkel for signaturkontroll

--locale-directory=DIR bruk oversettelser i valgt mappe (DIR)
    [standard=/usr/share/locale]

--locales=REGIONER
    bare installer valgte REGIONER (standard=alle)

--modules=MODULER
    last inn valgte MODULER på forhånd

--sbat=FIL
    SBAT metadata

--themes=TEMAER
    installer TEMAER (standard=starfield)

-v, --verbose
    skriv ut detaljerte meldinger

--core-compress=xz|none|auto
    velg komprimeringsmetoden som skal brukes på kjernebildet

-o, --output=FIL
    lagre utdata i valgt FIL (påkrevet)

-O, --format=FIL
    lag et bilde i valgt FORMAT; tilgjengelige formater: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-?, --help
    vis denne hjelpelista

--usage
    vis en kortfattet bruksanvisning

-V, --version
    skriv ut programversjon

Valg er enten obligatoriske både for fullstendige valg og tilsvarende forkortede valg.

Graft-syntaks (f.eks. /boot/grub/grub.cfg=./grub.cfg) kan brukes

RAPPORTERING AV FEIL
Rapporter feil til <bug-grub@gnu.org>.

SE OGSÅ
grub-mkimage(1)

Den fullstendige dokumentasjonen for grub-mkstandalone opprettholdes som en Texinfo manual. Dersom info og grub-mkstandalone programmene er riktig installert på ditt sted burde kommandoen

    info grub-mkstandalone

gi deg tilgang til hele manualen.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.